summaryrefslogtreecommitdiff
path: root/dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-25 13:05:17 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-10-25 13:05:17 +0000
commitfa9f7e190f626ce3fd9a972abd0ed1bafa9b8a13 (patch)
treee3d7b90c67886cd49f0f0ced33eea30aeaa6a9f2 /dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild
parent9218995707096553f29ac818e9f1eee6d2d3af27 (diff)
downloadbaldeagleos-repo-fa9f7e190f626ce3fd9a972abd0ed1bafa9b8a13.tar.gz
baldeagleos-repo-fa9f7e190f626ce3fd9a972abd0ed1bafa9b8a13.tar.xz
baldeagleos-repo-fa9f7e190f626ce3fd9a972abd0ed1bafa9b8a13.zip
Adding metadata
Diffstat (limited to 'dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild')
-rw-r--r--dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild b/dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild
new file mode 100644
index 000000000000..6fb280d52d37
--- /dev/null
+++ b/dev-cpp/rapidfuzz-cpp/rapidfuzz-cpp-1.9.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Rapid fuzzy string matching in C++"
+HOMEPAGE="https://github.com/maxbachmann/rapidfuzz-cpp/"
+SRC_URI="
+ https://github.com/maxbachmann/rapidfuzz-cpp/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ test? (
+ >=dev-cpp/catch-3
+ )
+"
+
+src_prepare() {
+ # apparently "C++ best practices" don't mind fetching random stuff
+ # at build time
+ sed -i -e '/aminya/,/^)/d' test/CMakeLists.txt || die
+ find -name 'CMakeLists.txt' -exec \
+ sed -i -e 's:project_warnings::' {} + || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DRAPIDFUZZ_BUILD_TESTING=$(usex test)
+ )
+ cmake_src_configure
+}